ANNOUNCEMENT: This forum has been archived and its community moved to the Star Wars Gamer forum. mark read register faq members calendar

Thread: Jedi Knight issues on XP
Thread Tools Display Modes
Post a new thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Old 12-12-2009, 01:46 PM   #1
Join Date: Dec 2009
Posts: 1
Jedi Knight issues on XP

I decided to dig out my old copy of Jedi Knight recently as I been on a Star Wars kick, but sadly I been facing some issues leaving me unable to get it running.

First is the problem that the setup file does not open. The launcher, setup.exe and copying files over to the computer all end up with the setup just not starting up, and having to go into task manager to end the process tree. I tried all compatibility modes and choices, but it still does not run.

So I tried to do the manual install, following the guide step by step, but here I face a new challenge in that a small window pops up and shows this message

Originally Posted by Error Message
So it seems there's no way to get Jedi Knight to run as of now. I'm running XP SP3, and the Jedi Knight copy is my legit one, and has no scratches or anything. Does anyone have any idea if this is fixable? The install for Phantom Menace also has the same problem that it just does not open at all.

Hope someone has an answer, thanks
corey89 is offline   you may:
Old 03-01-2010, 06:53 AM   #2
Kurgan's Avatar
Join Date: Nov 1997
Location: The Dawn of Time
Posts: 18,393
LFN Staff Member  10 year veteran! 
It IS possible, try a search here, I swear there are about a dozen similar threads out there. I assume this is a legit copy and you have the 1.01 patch. The next step is to check for possible fixes.

Download JK2 maps for JA Server|BOOT CAMP!|Strategic Academy|
(JA Server:

"The Concussion Rifle is the weapon of a Jedi Knight Player, an elegant weapon, from a more civilized community." - Kyle Katarn
Kurgan is offline   you may:
Old 03-14-2010, 05:12 PM   #3
Aging Jedi
CrisG's Avatar
Join Date: Dec 2007
Location: Colorado and California
Posts: 862
Helpful!  The Walking Carpets Guild Member 
I am running JK DF2 on two differnt installs of XP, one SP2 and one SP3 and both intalled and run seamlessly. I am not sure why you have had trouble. I am not using the 1.01 patch, but i am using the JKE and JKUpdate of texture packs mods..and it makes for a stunning game.

There is no Chaos, There is Harmony.
Admin 3D Worlds and Game Developers Group - Linkedin - "We Build Worlds"
DF-JK DF2-DFMOTS-JKII-JKIII-KoTOR I-KoTOR II - XW-TF-XvT-BOP -XWA-Rogue Squad - Starfigher-Racer- RC-Battle for Naboo-Episode I Phantom Menace-Shadows of the Empire-BF I - BF II-EAW-EAW:FOC-Loom-Grim F-MI-MII-MIII-DOTT-IJFOA-IJLC-IJET-IJIM-Dig-Sam and Max HTR
CrisG is offline   you may:
Old 03-31-2010, 05:54 PM   #4
Mentat's Avatar
Join Date: Aug 2009
Location: Paris, France
Posts: 15
Current Game: JKDF2, JKMotS & HL2
Mentat is offline   you may:
Post a new thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Go Back   LucasForums > Network > LucasForums Archive > Star Wars: Jedi Knight series > Game Discussion > Jedi Knight / MotS > Jedi Knight issues on XP

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

All times are GMT -4. The time now is 02:31 PM.

LFNetwork, LLC ©2002-2015 - All rights reserved.
Powered by vBulletin®
Copyright ©2000 - 2015, Jelsoft Enterprises Ltd.